# DataDto

## Summary

| Members                                                                                                                                                                                                                                                                                                                                                                                                          | Descriptions                                                |
| ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------- |
| `class` [`AssetDto`](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-offers/atomicassetsapiclient-offers-offersapi/atomicassetsapiclient-offers-offerdto/atomicassetsapiclient-offers-offerdto-datadto/atomicassetsapiclient-offers-offerdto-datadto-assetdto.md)                                                                                                                                |                                                             |
| `public string` [`Contract`](#class_atomic_assets_api_client_1_1_offers_1_1_offer_dto_1_1_data_dto_1a9b4baf8484b98d89513d7776a8877d0e)                                                                                                                                                                                                                                                                           | The name of the Smart Contract.                             |
| `public string` [`OfferId`](#class_atomic_assets_api_client_1_1_offers_1_1_offer_dto_1_1_data_dto_1a176ccbd661a78c99444e637ed0af4c6e)                                                                                                                                                                                                                                                                            | Unique identifier of an Offer.                              |
| `public string` [`SenderName`](#class_atomic_assets_api_client_1_1_offers_1_1_offer_dto_1_1_data_dto_1a8435cbd7a4dda595164d4ff47d4f4525)                                                                                                                                                                                                                                                                         | Name of the Sender.                                         |
| `public string` [`RecipientName`](#class_atomic_assets_api_client_1_1_offers_1_1_offer_dto_1_1_data_dto_1a4db149de8d9e2720942cc478bf9b67e2)                                                                                                                                                                                                                                                                      | Name of the Recipient.                                      |
| `public string` [`Memo`](#class_atomic_assets_api_client_1_1_offers_1_1_offer_dto_1_1_data_dto_1ae120ff01d30f40e9771e30e58f1a1d7f)                                                                                                                                                                                                                                                                               | A memo that can be used to attach messages to trade offers. |
| `public int` [`State`](#class_atomic_assets_api_client_1_1_offers_1_1_offer_dto_1_1_data_dto_1a18de412e641d6e3d45d7a829923a29c3)                                                                                                                                                                                                                                                                                 |                                                             |
| `public bool` [`IsSenderContract`](#class_atomic_assets_api_client_1_1_offers_1_1_offer_dto_1_1_data_dto_1ade800cb1f05a507dc30d49c105cfff62)                                                                                                                                                                                                                                                                     | Whether this is the sender contract.                        |
| `public bool` [`IsRecipientContract`](#class_atomic_assets_api_client_1_1_offers_1_1_offer_dto_1_1_data_dto_1a07f590cec8ec1aa154b011469a393f5e)                                                                                                                                                                                                                                                                  | Whether this is the recipient contract.                     |
| `public object` [`Data`](#class_atomic_assets_api_client_1_1_offers_1_1_offer_dto_1_1_data_dto_1a248bfced8a2a84c147f9b20efe3e669a)                                                                                                                                                                                                                                                                               |                                                             |
| `public string` [`CreatedAtBlock`](#class_atomic_assets_api_client_1_1_offers_1_1_offer_dto_1_1_data_dto_1a022adc431e5845376e250208a999e12d)                                                                                                                                                                                                                                                                     | The Block Number this was created.                          |
| `public string` [`CreatedAtTime`](#class_atomic_assets_api_client_1_1_offers_1_1_offer_dto_1_1_data_dto_1a4cb9b4aaa1372df6dc2bb7d8f4916403)                                                                                                                                                                                                                                                                      | The Time this was created.                                  |
| `public float` [`UpdatedAtBlock`](#class_atomic_assets_api_client_1_1_offers_1_1_offer_dto_1_1_data_dto_1a6a61fb4c918dc2245accba312dc05e54)                                                                                                                                                                                                                                                                      | Block-Number this was last updated.                         |
| `public float` [`UpdatedAtTime`](#class_atomic_assets_api_client_1_1_offers_1_1_offer_dto_1_1_data_dto_1a8dbb9afc1eef46b8d8a1c645804ef180)                                                                                                                                                                                                                                                                       | Time this was last updated.                                 |
| `public` [`AssetDto`](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-offers/atomicassetsapiclient-offers-offersapi/atomicassetsapiclient-offers-offerdto/atomicassetsapiclient-offers-offerdto-datadto/atomicassetsapiclient-offers-offerdto-datadto-assetdto.md) [`SenderAssets`](#class_atomic_assets_api_client_1_1_offers_1_1_offer_dto_1_1_data_dto_1a86e7c6a130fb6362e9c7acccadccc56e)    | The Sender Assets.                                          |
| `public` [`AssetDto`](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-offers/atomicassetsapiclient-offers-offersapi/atomicassetsapiclient-offers-offerdto/atomicassetsapiclient-offers-offerdto-datadto/atomicassetsapiclient-offers-offerdto-datadto-assetdto.md) [`RecipientAssets`](#class_atomic_assets_api_client_1_1_offers_1_1_offer_dto_1_1_data_dto_1a358e5087b184a62aa204fdbb91ec8ef5) | The Recipient Assets.                                       |

## Members

**`class`** [**`AssetDto`**](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-offers/atomicassetsapiclient-offers-offersapi/atomicassetsapiclient-offers-offerdto/atomicassetsapiclient-offers-offerdto-datadto/atomicassetsapiclient-offers-offerdto-datadto-assetdto.md)

**`public string`** [**`Contract`**](#class_atomic_assets_api_client_1_1_offers_1_1_offer_dto_1_1_data_dto_1a9b4baf8484b98d89513d7776a8877d0e)

The name of the Smart Contract.

**`public string`** [**`OfferId`**](#class_atomic_assets_api_client_1_1_offers_1_1_offer_dto_1_1_data_dto_1a176ccbd661a78c99444e637ed0af4c6e)

Unique identifier of an Offer.

**`public string`** [**`SenderName`**](#class_atomic_assets_api_client_1_1_offers_1_1_offer_dto_1_1_data_dto_1a8435cbd7a4dda595164d4ff47d4f4525)

Name of the Sender.

**`public string`** [**`RecipientName`**](#class_atomic_assets_api_client_1_1_offers_1_1_offer_dto_1_1_data_dto_1a4db149de8d9e2720942cc478bf9b67e2)

Name of the Recipient.

**`public string`** [**`Memo`**](#class_atomic_assets_api_client_1_1_offers_1_1_offer_dto_1_1_data_dto_1ae120ff01d30f40e9771e30e58f1a1d7f)

A memo that can be used to attach messages to trade offers.

**`public int`** [**`State`**](#class_atomic_assets_api_client_1_1_offers_1_1_offer_dto_1_1_data_dto_1a18de412e641d6e3d45d7a829923a29c3)

**`public bool`** [**`IsSenderContract`**](#class_atomic_assets_api_client_1_1_offers_1_1_offer_dto_1_1_data_dto_1ade800cb1f05a507dc30d49c105cfff62)

Whether this is the sender contract.

**`public bool`** [**`IsRecipientContract`**](#class_atomic_assets_api_client_1_1_offers_1_1_offer_dto_1_1_data_dto_1a07f590cec8ec1aa154b011469a393f5e)

Whether this is the recipient contract.

**`public object`** [**`Data`**](#class_atomic_assets_api_client_1_1_offers_1_1_offer_dto_1_1_data_dto_1a248bfced8a2a84c147f9b20efe3e669a)

**`public string`** [**`CreatedAtBlock`**](#class_atomic_assets_api_client_1_1_offers_1_1_offer_dto_1_1_data_dto_1a022adc431e5845376e250208a999e12d)

The Block Number this was created.

**`public string`** [**`CreatedAtTime`**](#class_atomic_assets_api_client_1_1_offers_1_1_offer_dto_1_1_data_dto_1a4cb9b4aaa1372df6dc2bb7d8f4916403)

The Time this was created.

**`public float`** [**`UpdatedAtBlock`**](#class_atomic_assets_api_client_1_1_offers_1_1_offer_dto_1_1_data_dto_1a6a61fb4c918dc2245accba312dc05e54)

Block-Number this was last updated.

**`public float`** [**`UpdatedAtTime`**](#class_atomic_assets_api_client_1_1_offers_1_1_offer_dto_1_1_data_dto_1a8dbb9afc1eef46b8d8a1c645804ef180)

Time this was last updated.

**`public`** [**`AssetDto`**](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-offers/atomicassetsapiclient-offers-offersapi/atomicassetsapiclient-offers-offerdto/atomicassetsapiclient-offers-offerdto-datadto/atomicassetsapiclient-offers-offerdto-datadto-assetdto.md) [**`SenderAssets`**](#class_atomic_assets_api_client_1_1_offers_1_1_offer_dto_1_1_data_dto_1a86e7c6a130fb6362e9c7acccadccc56e)

The Sender Assets.

**`public`** [**`AssetDto`**](/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-offers/atomicassetsapiclient-offers-offersapi/atomicassetsapiclient-offers-offerdto/atomicassetsapiclient-offers-offerdto-datadto/atomicassetsapiclient-offers-offerdto-datadto-assetdto.md) [**`RecipientAssets`**](#class_atomic_assets_api_client_1_1_offers_1_1_offer_dto_1_1_data_dto_1a358e5087b184a62aa204fdbb91ec8ef5)

The Recipient Assets.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://liquiidio.gitbook.io/unity-plugin-suite/atomicassets/api-docs/atomicassetsapiclient-offers/atomicassetsapiclient-offers-offersapi/atomicassetsapiclient-offers-offerdto/atomicassetsapiclient-offers-offerdto-datadto.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
